[Lsb-messages] /var/www/bzr/lsb/devel/puppet-lsb r36: Add initial sobby module.

Jeff Licquia licquia at linuxfoundation.org
Mon Jan 23 00:41:00 UTC 2012


------------------------------------------------------------
revno: 36
committer: Jeff Licquia <licquia at linuxfoundation.org>
branch nick: puppet-lsb
timestamp: Sun 2012-01-22 19:41:00 -0500
message:
  Add initial sobby module.
added:
  modules/sobby/
  modules/sobby/files/
  modules/sobby/files/sobby.conf
  modules/sobby/files/sobby.init
  modules/sobby/manifests/
  modules/sobby/manifests/init.pp
modified:
  manifests/nodes/pmman-test.pp
-------------- next part --------------
=== modified file 'manifests/nodes/pmman-test.pp'
--- a/manifests/nodes/pmman-test.pp	2012-01-22 22:09:53 +0000
+++ b/manifests/nodes/pmman-test.pp	2012-01-23 00:41:00 +0000
@@ -5,4 +5,6 @@
 
     include puppet
 
+    include sobby
+
 }

=== added directory 'modules/sobby'
=== added directory 'modules/sobby/files'
=== added file 'modules/sobby/files/sobby.conf'
--- a/modules/sobby/files/sobby.conf	1970-01-01 00:00:00 +0000
+++ b/modules/sobby/files/sobby.conf	2012-01-23 00:41:00 +0000
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<sobby_config>
+  <settings>
+    <autosave_directory></autosave_directory>
+    <autosave_file>autosave.obby</autosave_file>
+    <autosave_interval>0</autosave_interval>
+    <command_directory></command_directory>
+    <name>Standalone obby server</name>
+    <password>LSB</password>
+    <port>6522</port>
+    <post_save_hook></post_save_hook>
+    <session></session>
+  </settings>
+</sobby_config>

=== added file 'modules/sobby/files/sobby.init'
--- a/modules/sobby/files/sobby.init	1970-01-01 00:00:00 +0000
+++ b/modules/sobby/files/sobby.init	2012-01-23 00:41:00 +0000
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+### BEGIN INIT INFO
+# Provides:          sobby
+# Required-Start:    $network
+# Required-Stop:     $network
+# Default-Start:     2 3 4 5
+# Default-Stop:      1
+# Short-Description: collaborative text editor server (gobby)
+# Description:       gobby is a collaborative text editor
+#                    sobby is the server which provides gobby connectivity
+### END INIT INFO
+
+set -e
+
+PRG=sobby
+DAEMON=/usr/bin/$PRG
+PIDFILE=/var/run/$PRG.pid
+OPTIONS="-c /etc/sobby.conf"
+
+test -x $DAEMON || exit 0
+
+. /etc/rc.d/init.d/functions
+
+case "$1" in
+  start)
+    echo -n "Starting $PRG: "
+    daemon --pidfile=$PIDFILE $DAEMON $OPTIONS
+    RETVAL=$?
+    echo
+    ;;
+  stop)
+    echo -n "Stopping $PRG: "
+    killproc -p $PIDFILE $DAEMON
+    RETVAL=$?
+    echo
+    ;;
+esac
+
+exit $RETVAL

=== added directory 'modules/sobby/manifests'
=== added file 'modules/sobby/manifests/init.pp'
--- a/modules/sobby/manifests/init.pp	1970-01-01 00:00:00 +0000
+++ b/modules/sobby/manifests/init.pp	2012-01-23 00:41:00 +0000
@@ -0,0 +1,19 @@
+class sobby {
+
+    package { sobby: ensure => present }
+
+    file { "/etc/sobby.conf":
+        source => "puppet:///modules/sobby/sobby.conf",
+    }
+
+    file { "/etc/init.d/sobby":
+        source => "puppet:///modules/sobby/sobby.init",
+    }
+
+    service { "sobby":
+        #ensure     => running,
+        hasrestart => false,
+        hasstatus  => false,
+    }
+
+}



More information about the lsb-messages mailing list